#!/bin/bash

EXEC=tema1
TOTAL=0

for i in $(seq 1 10); do
	timeout 30 ./$EXEC "tests/test$i.in" > "student/test$i.out"

	if [ $? != 0 ]; then
		echo "TIME OUT"
	fi

	diff -wiB "refs/test$i.out" "student/test$i.out" > diffs
	
	if [ $? != 0 ]; then
		echo -n "Test $i"
		cat diffs | head -n 20

		echo -e "\nFile truncated!                       ... test failed!\n"

	else
		echo "Test $i                                 ... OK!"
		TOTAL=$(expr $TOTAL + 8)
	fi
done

echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "TOTAL: $TOTAL/80 puncte"

rm -f diffs student/test*
